Subject: Re: bug#63744: 28.2; fix dired-guess-default

From: Leo Liu <[email-masked]>
Date: Mon, 29 May 2023 11:49:27 +0800

On 2023-05-29 03:23 +0200, Michael Heerdegen wrote:
> I think we should avoid `nconc'ing: if a user does specify literal lists.
> the config will be destructively altered (right?).  I think we better
> use (apply #'append (mapcar ...)) or something like that.

Good point. Will update the patch.

If we put all these details behind and look from the users' perspective,
I wonder if there is a chance for Emacs 28.

Basically this feature has been there and working since at least Emacs
24 (or even earlier). It may be an accident which I only discovered last
week though the bug has been annoying me for a few months since I
upgraded from Emacs 27. For users this is a regression and it's bad.

Comments?